import { ChangeDetectorRef, Component, EventEmitter, Input, Output } from '@angular/core';
import { ToastrService } from 'ngx-toastr';
import { MySettingAssessmentModel, SettingAssessmentModel } from 'src/app/shared/model/setting-assessment.model';
import { SettingAssessmentService } from 'src/app/shared/services/setting-assessment.service';

@Component({
    selector: 'app-competency-configuration',
    templateUrl: './competency-configuration.component.html',
    styleUrls: ['./competency-configuration.component.scss']
})
export class CompetencyConfigurationComponent {
  @Input() pathTitle = ['การประเมินสมรรถนะ', 'การตั้งค่า', 'กำหนดค่าระบบประเมินสมรรถนะ'];
  @Output() sendPathTitle: EventEmitter<string[]> = new EventEmitter<string[]>();
  activeTab: string = 'tab1'; // กำหนด tab เริ่มต้น
  isChecked: boolean = false;
  settingList: SettingAssessmentModel[] = []
  settingListLoading = false
  setting: SettingAssessmentModel = new MySettingAssessmentModel({})
  search = ""
  constructor(private settingAssessmentService: SettingAssessmentService,
    private toastr: ToastrService,
    private cdr: ChangeDetectorRef
  ) { }
  ngOnInit(): void {
    this.getSettingList()
  }
  getSettingList() {
    this.settingListLoading = true
    this.settingAssessmentService.getList().subscribe({
      next: response => {
        this.settingList = response
        this.settingListLoading = false
        this.cdr.detectChanges()
      }, error: error => {
        this.settingListLoading = false
        this.cdr.detectChanges()
      }
    })
  }
  selectsetting(setting?: SettingAssessmentModel) {
    this.setting = new MySettingAssessmentModel(setting || {})
  }

  // showSuccessAdd() {
  //   this.toastr.success('บันทึกข้อมูลสำเร็จ', 'แจ้งเตือน', {
  //     timeOut: 3000,
  //     positionClass: 'toast-top-right',
  //   });
  // }
  // showSuccessDelete() {
  //   this.toastr.success('ลบข้อมูลสำเร็จ', 'แจ้งเตือน', {
  //     timeOut: 3000,
  //     positionClass: 'toast-top-right',
  //   });
  // }
  // addsetting() {
  //   this.settingAssessmentService.post(this.setting).subscribe((response: any) => {
  //     if (response.success) {
  //       this.showSuccessAdd()
  //       this.getSettingList()
  //     }
  //   })
  // }
  // deletesetting() {
  //   this.settingAssessmentService.delete(this.setting).subscribe((response: any) => {
  //     if (response.success) {
  //       this.showSuccessDelete()
  //       this.getSettingList()
  //     }
  //   })
  // }

  changeTab(tab: { id: string, text: string }) {
    this.sendPathTitle.emit(['การประเมินสมรรถนะ', 'การตั้งค่า', tab.text]);
    this.activeTab = tab.id;
  }

  toggleCheckbox(): void {
    this.isChecked = !this.isChecked;
  }

}

