import { Component, EventEmitter, Output } from '@angular/core';
export interface DataModel {
  hoshin: string
  performance: string
  target: string
  unit: string
  timeLine: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel2 {
  performance: string
  target: string
  unit: string
  timeLine: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel3 {
  competency: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel4 {
  timeAttendance: string
  target: string
  unit: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel5 {
  crossFunctionalProjectAssignment: string
  performanceIndicator: string
  target: string
  unit: string
  timeLine: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel6 {
  specialActivities: string
  performanceIndicator: string
  target: string
  unit: string
  timeLine: string
  weight: string
  targetDegree: { check: string, text: string[] }
  summary: string
  score: string
}
export interface DataModel7 {
  evaluationFactor: string,
  rawScore: string,
  factors: string
  scoreObtained: string
  netScore: string
  Level: string
}
@Component({
  selector: 'app-pms-evalution',
  templateUrl: './pms-evalution.component.html',
  styleUrls: ['./pms-evalution.component.scss']
})
export class PmsEvalutionComponent {
  @Output() sendPageEvalution: EventEmitter<string> = new EventEmitter<string>();
  pathTitle = ['การประเมินผล', 'ประเมินผล']
  part1show = true
  dataList: DataModel[] = [{
    hoshin: "C1 CUSTOMER ORIENTED (SQCDME)",
    performance: "Customer Satisfaction (QCDS)",
    target: "95.0",
    unit: "%",
    timeLine: "November 2021",
    weight: "5.0",
    targetDegree: { check: "90-95% Award", text: [">95% Award", "90-95% Award", ">95% no award", "80-90% no award", "<80% no award"] },
    summary: "4",
    score: "20"
  }, {
    hoshin: "C2 MANUFACTURING OPTIMIZATION",
    performance: "Manufacturing performance",
    target: "100.0",
    unit: "%",
    timeLine: "November 2021",
    weight: "5.0",
    targetDegree: { check: "81-90%", text: [">90%", "81-90%", "71-80%", "61-70%", "<60%"] },
    summary: "4",
    score: "20"
  }]
  part2show = true
  data2List: DataModel2[] = [{
    performance: "ประสานงานกับวิทยากร ผู้เข้ารับการอบรมทั้งภายในและภายนอก ตามแผนการฝึกอบรมและพัฒนา",
    target: "80.0",
    unit: "%",
    timeLine: "Jan - Nov",
    weight: "10.0",
    targetDegree: { check: "จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม81-90%จากเป้าหมาย", text: ["จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม>90%จากเป้าหมาย", "จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม81-90%จากเป้าหมาย", "จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม80%จากเป้าหมาย", "จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม70-79%จากเป้าหมาย", "จัดการอบรมได้ตามแผนและจำนวนผู้เข้ารับการอบรม<70%จากเป้าหมาย"] },
    summary: "4",
    score: "40"
  }, {
    performance: "2.1การบันทึกผลการฝึกอบรมในระบบ(2020 ใช้ Tigersoft)",
    target: "100.0",
    unit: "%",
    timeLine: "Jan - Nov",
    weight: "2.0",
    targetDegree: { check: "80-84", text: ["บันทึกภายใน", "บันทึกภายใน  3 วัน หลังฝึก การอบรม", "บันทึกภายใน 7 วัน หลังฝึก การอบรม", "80-84", "<79"] },
    summary: "2",
    score: "4"
  }, {
    performance: "2.2 การจัดทำรายงาน วิเคราะห์ ผลการฝึกอบรมในแต่ละหลักสูตร",
    target: "100.0",
    unit: "%",
    timeLine: "Jan - Nov",
    weight: "2.0",
    targetDegree: { check: "สรุปผลการฝึกอบรมในแต่ละเดือนวิเคาระห์เป็นรายปี", text: ["สรุปผลการฝึกอบรมในแต่ละเดือนวิเคาระห์ทุก6เดือน", "สรุปผลการฝึกอบรมในแต่ละเดือนวิเคาระห์เป็นรายปี", "สรุปผลการฝึกอบรมของเดือนไม่เกินวันที่3ของเดือนถัดไป", "สรุปผลการฝึกอบรมของเดือนเกินกว่าวันที่3ของเดือนถัดไป", "สรุปผลการฝึกอบรมของเดือนเกินกว่า3วัน จำนวน>38ครั้ง/ปี"] },
    summary: "4",
    score: "8"
  }]
  part3show = true
  data3List: DataModel3[] = [{
    competency: "Core Competency",
    weight: "10.0",
    targetDegree: { check: "76.00", text: ["", "", "76.00", "", ""] },
    summary: "3",
    score: "30"
  }, {
    competency: "Managerial Competency",
    weight: "10.0",
    targetDegree: { check: "68.00", text: ["", "", "", "68.00", ""] },
    summary: "2",
    score: "20"
  }, {
    competency: "Position Competency",
    weight: "10.0",
    targetDegree: { check: "89.00", text: ["", "89.00", "", "", ""] },
    summary: "4",
    score: "40"
  }]
  part4show = true
  data4List: DataModel4[] = [{
    timeAttendance: "ลาป่วย",
    target: "0.0",
    unit: "วัน",
    weight: "5.0",
    targetDegree: { check: "1-2", text: ["0.0", "1-2", "3-5", "6-10", ">10"] },
    summary: "2",
    score: "10"
  }, {
    timeAttendance: "ลาคลอดบุตร",
    target: "0.0",
    unit: "วัน",
    weight: "5.0",
    targetDegree: { check: "0.0", text: ["0.0", "<45", "45-90", "91-120", ">120"] },
    summary: "5",
    score: "25"
  }, {
    timeAttendance: "ลาฝึกอบรม (ไม่รับค่าจ้าง)",
    target: "0.0",
    unit: "วัน หรือ ครั้ง",
    weight: "5.0",
    targetDegree: { check: "0.0", text: ["0.0", "1-4", "5-10", "10-15", ">15"] },
    summary: "5",
    score: "25"
  }, {
    timeAttendance: "สาย",
    target: "0.0",
    unit: "ครั้ง",
    weight: "5.0",
    targetDegree: { check: ">6", text: ["0.0", "1-2", "3-4", "5-6", ">6"] },
    summary: "1",
    score: "5"
  }]
  part5show = true
  data5List: DataModel5[] = [{
    crossFunctionalProjectAssignment: "Business Continuity Plan (BCP)",
    performanceIndicator: "",
    target: "1.1 การเข้าร่วม ประชุม และเข้าร่วม ซ้อมแผน\n1.2 คะแนนการ ประเมินจากทีม ผู้บริหารและลูกค้ารวมกัน",
    unit: "",
    timeLine: "November 2021",
    weight: "1.0",
    targetDegree: { check: "เข้าร่วม 60 - 79% คะแนนการประเมิน 60- 79%", text: ["เข้าร่วม 90 - 100 % คะแนนการประเมิน 90- 100 %", "เข้าร่วม 80 - 89% คะแนนการประเมิน 80- 89%", "เข้าร่วม 60 - 79% คะแนนการประเมิน 60- 79%", "เข้าร่วม <59% คะแนนการประเมิน <59%", "ไม่เข้าร่วมกิจกรรมเลย"] },
    summary: "3",
    score: "3"
  }, {
    crossFunctionalProjectAssignment: "Safety committee",
    performanceIndicator: "",
    target: "เข้าร่วมประชุม, ร่วมกิจกรรม และปฏิบัติงานตามหน้าที่",
    unit: "",
    timeLine: "November 2021",
    weight: "1.0",
    targetDegree: { check: "เข้าร่วม 90-100%", text: ["เข้าร่วม 90-100%", "เข้าร่วม 70-80%", "เข้าร่วม 50%", "เข้าร่วม 30-40%", "เข้าร่วม 10-20%"] },
    summary: "5",
    score: "5"
  }]
  part6show = true
  data6List: DataModel6[] = [{
    specialActivities: "Kaizen",
    performanceIndicator: "",
    target: "1 Person / 1 Subject / 1 Month",
    unit: "Subject",
    timeLine: "Nov-21",
    weight: "1.0",
    targetDegree: { check: "1 เรื่อง x 12 เดือน", text: [">15 เรื่อง/ปี (ขั้นต่ำ 1 เรื่องเดือน)", ">12-15 เรื่อง/ปี (ขั้นต่ำ 1 เรื่องเดือน)", "1 เรื่อง x 12 เดือน", "10-12 เรื่อง/ปี (ขั้นต่ำ 1 เรื่องเดือน)", "<10 เรื่อง/ปี"] },
    summary: "3",
    score: "3"
  }, {
    specialActivities: "5S",
    performanceIndicator: "",
    target: "Result of Audit (Office)",
    unit: "%",
    timeLine: "Nov-21",
    weight: "0.5",
    targetDegree: { check: "89-85%", text: ["100-97%", "96-94%", "93-30%", "89-85%", "<84%"] },
    summary: "2",
    score: "1"
  }, {
    specialActivities: "QCC",
    performanceIndicator: "",
    target: "Present QCC Project",
    unit: "Project",
    timeLine: "Nov-21",
    weight: "1.0",
    targetDegree: { check: "ยื่นเรื่องและ นำเสนอผลงาน", text: ["อันดับ 1-3", "เข้ารอบ 5 ทีมสุดท้าย", "ยื่นเรื่องและ นำเสนอผลงาน", "สมัครสมาชิก และดำเนินกิจกรรมแต่ไม่ได้นำเสนอผลงาน", "ไม่เข้าร่วมกิจกรรม"] },
    summary: "3",
    score: "3"
  }, {
    specialActivities: "คณะกรรมการตามกิจกรรม",
    performanceIndicator: "",
    target: "5ส, Kaizen, QCC",
    unit: "Activity",
    timeLine: "Nov-21",
    weight: "0.5",
    targetDegree: { check: "1กิจกรรม", text: [">2 กิจกรรม", "2 กิจกรรม", "1กิจกรรม", " 89-85%", "<84%"] },
    summary: "3",
    score: "1.5"
  }]
  part7show = true
  data7List: DataModel7[] = [{
    evaluationFactor: "Part 1 : ประเมินผลการปฏิบัติงานตามนโยบายบริษัท (Hoshin)",
    rawScore: "100",
    factors: "15.00",
    scoreObtained: "80.00",
    netScore: "12",
    Level: "A = ดีเลิศ (Outstanding) >91"
  }, {
    evaluationFactor: "Part 2 : ประเมินผลการปฏิบัติงานประจำ (Job based KPIs)",
    rawScore: "100",
    factors: "30.00",
    scoreObtained: "74.29",
    netScore: "22.29",
    Level: "B = ดีมาก (Above Expectations)>81-90"
  }, {
    evaluationFactor: "Part 3 : ประเมินผลสมรรถนะที่สนับสนุนการปฏิบัติงาน (Skill Map)",
    rawScore: "100",
    factors: "35.00",
    scoreObtained: "60.00",
    netScore: "21",
    Level: "C = ดี (Meet Expectations)>71-80"
  }, {
    evaluationFactor: "Part 4 : จำนวนการเข้างาน( Time Attendance)",
    rawScore: "100",
    factors: "10.00",
    scoreObtained: "65.00",
    netScore: "6.5",
    Level: "D = ควรปรับปรุง (Below Expectations)>61-70"
  }, {
    evaluationFactor: "Part 5: งานที่ได้รับมอบหมายเพิ่มเติม (Cross Functional Project Assignment)",
    rawScore: "100",
    factors: "5.00",
    scoreObtained: "80.00",
    netScore: "4",
    Level: "E = ไม่น่าพอใจ (Unsatisfactory) ≤60"
  }, {
    evaluationFactor: "Part 6: กิจกรรมพิเศษ (Special Activities)",
    rawScore: "100",
    factors: "5.00",
    scoreObtained: "85.00",
    netScore: "4.25",
    Level: ""
  }]
  part8show = true
  part9show = true
  dataListFilter() {
    return this.dataList
  }
  data2ListFilter() {
    return this.data2List
  }
  data3ListFilter() {
    return this.data3List
  }
  data4ListFilter() {
    return this.data4List
  }
  data5ListFilter() {
    return this.data5List
  }
  data6ListFilter() {
    return this.data6List
  }
  data7ListFilter() {
    return this.data7List
  }
  returnPage() {
    this.sendPageEvalution.emit("")
  }
}