import { ChangeDetectorRef, Component, EventEmitter, Input, Output } from '@angular/core';
import { ToastrService } from 'ngx-toastr';

export interface DataModel {
  check: boolean,
  code: string,
  headname: string,
  type: string,
  weight: string,
}

@Component({
  selector: 'app-edit-evaluation-form',
  templateUrl: './edit-evaluation-form.component.html',
  styleUrls: ['./edit-evaluation-form.component.scss']
})
export class EditEvaluationFormComponent {
  @Input() pathTitle = ['การประเมินจัดการประสิทธิภาพ', 'รอบการประเมิน', 'กำหนดฟอร์มเอกสาร','เเก้ไขฟอร์มตามรอบการประเมิน'];
  @Output() sendPathTitle: EventEmitter<string[]> = new EventEmitter<string[]>();
  @Output() sendGroupShow: EventEmitter<string> = new EventEmitter<string>();
  activeTab: string = 'tab1';
  hsSwitchChecked: { [key: string]: boolean };
  currentPage = 1
      page = Array.from({ length: 1 }, (_, i) => i + 1);
      search = ""
      numDataListChecked = 0
      isDataListChecked = false
      isDataListCheckedAll = false
      dataList: DataModel[] = [
          {
              check: false,
              code: "HS-01",
              headname: "C1 CUSTOMER ORIENTED (SQCDME)",
              type: "HOSHIN",
              weight: "5.0",
          },
          {
            check: false,
            code: "HS-02",
            headname: "C2 MANUFACTURING OPTIMIZATION",
            type: "HOSHIN",
            weight: "3.0",
          },
          {
            check: false,
            code: "HS-03",
            headname: "C3 INCREASE EMPLOYEE ENGAGEMENT",
            type: "HOSHIN",
            weight: "3.0",
          },
          {
            check: false,
            code: "HS-04",
            headname: "C4 HEALTHY FINANCIAL",
            type: "HOSHIN",
            weight: "3.0",
        },
        {
          check: false,
          code: "HS-05",
          headname: "C5 RISK MANAGEMENT (TAXATION)",
          type: "HOSHIN",
          weight: "1.0",
        },
        {
          check: false,
          code: "KP-01",
          headname: "ประสาทงานกับวิทยากร ผู้เข้ารับการอบรมทั้งภายในเเละภายนอกตามเเผนการฝึกอบรมพัฒนา",
          type: "KPI",
          weight: "10.0",
        },
      ]
      dataSelect: DataModel = {
          check: false,
          code: "",
          headname: "",
          type: "",
          weight: "",
      }

      constructor(private toastr: ToastrService, private cdr: ChangeDetectorRef) {
        this.hsSwitchChecked = {
            'F6702-01': false,
            'F6702-02': false,
            'F6702-03': false,
            'F6702-04': false,
            'F6702-06': false
        };
    }
  dataListSelect(data?: DataModel) {
          this.dataSelect = data || {
              check: false,
              code: "",
              headname: "",
              type: "",
              weight: "",
          }
          this.cdr.detectChanges()
      }
  
      dataListFilter() {
          return this.dataList.filter(x => {
              const match = x.code.includes(this.search) || x.headname.includes(this.search);
              if (!match) x.check = false;
              return match;
          });
      }
  
      dataListCheck() {
          const dataCheck = this.dataListFilter();
          this.isDataListChecked = dataCheck.some(x => x.check);
          this.isDataListCheckedAll = dataCheck.length ? dataCheck.every(x => x.check) : false;
          this.numDataListChecked = dataCheck.filter(x => x.check).length;
      }
  
      dataListCheckAll() {
          const selectAll = this.isDataListCheckedAll;
          this.dataList.forEach(x => x.check = selectAll);
          this.dataListCheck();
      }
  
      searchChange() {
          this.currentPage = 1;
          const filteredData = this.dataListFilter();
          this.page = Array.from({ length: Math.ceil(filteredData.length / 10) }, (_, i) => i + 1);
          this.dataListCheck();
      }

  // ฟังก์ชันในการเปลี่ยนแท็บ
  changeTab(tab: { id: string, text: string }) {
    this.sendPathTitle.emit(['การประเมินจัดการประสิทธิภาพ', 'รอบการประเมิน', 'กำหนดฟอร์มเอกสาร', tab.text]);
    this.activeTab = tab.id;
  }
  onBack() {
    this.sendGroupShow.emit('1');  // เปลี่ยนกลับไปหน้า 1
  }
  // การจัดการการเปิดปิด modal

  modalOptions: {
    [nameModal: string]: {
      isModalOpen: boolean;
      modalSize: string;
      backdropClose: boolean;
    };
  } = {
    "add": {
      isModalOpen: false,
      modalSize: 'm',
      backdropClose: true,
    },
    "edit": {
      isModalOpen: false,
      modalSize: 'm',
      backdropClose: true,
    }
  };

  openModal(name: string, size: string, closeOnBackdrop?: boolean) {
    this.modalOptions[name].modalSize = size;
    this.modalOptions[name].backdropClose = closeOnBackdrop || false;
    this.modalOptions[name].isModalOpen = true;
    this.currentModal = name;  // ตั้งค่าค่าของ currentModal เป็น 'add' หรือ 'edit'
    document.body.style.overflow = 'hidden';
  }

  closeModal(name: string) {
    this.modalOptions[name].isModalOpen = false;
    if (!this.isAnyModalOpen()) {
      document.body.style.overflow = ''; // คืนค่าการ Scroll เฉพาะเมื่อ Modal ทั้งหมดปิดแล้ว
    }
  }

  isAnyModalOpen(): boolean {
    return Object.values(this.modalOptions).some(modal => modal.isModalOpen); // ตรวจสอบว่า modal อื่นยังเปิดอยู่หรือไม่
  }

  // ฟังก์ชัน toggle checkbox
  isChecked: boolean = false; // ใช้สำหรับตรวจสอบสถานะของ checkbox
  
  toggleCheckbox() {
    this.isChecked = !this.isChecked; // สลับสถานะ
  }

  // ฟังก์ชันสำหรับการเพิ่ม ลบ หรือแก้ไข ข้อมูล
  addUser() {

  }
  
  currentModal = "";
  
//   constructor(private toastr: ToastrService) { }

  showSuccess() {
    this.toastr.success('บันทึกข้อมูลสำเร็จ', 'เเจ้งเตือน', {
      timeOut: 3000,
      positionClass: 'toast-top-right',
    });
  }

  showSuccessEdit() {
    this.toastr.success('เเก้ไขข้อมูลสำเร็จ', 'เเจ้งเตือน', {
      timeOut: 3000,
      positionClass: 'toast-top-right',
    });
  }

  showSuccessDelete() {
    this.toastr.success('ลบข้อมูลสำเร็จ', 'เเจ้งเตือน', {
      timeOut: 3000,
      positionClass: 'toast-top-right',
    });
  }
}
