import { ChangeDetectorRef, Component } from '@angular/core';
export interface DataModel {
  check: boolean,
  code: string,
  nameTypeTh: string,
  nameTypeEn: string,
  name: string
  weight: string
}


@Component({
  selector: 'app-assessment-types',
  templateUrl: './assessment-types.component.html',
  styleUrls: ['./assessment-types.component.scss']
})
export class AssessmentTypesComponent {
  currentPage = 1
  page = Array.from({ length: 1 }, (_, i) => i + 1);
  search = ""
  numDataListChecked = 0
  isDataListChecked = false
  isDataListCheckedAll = false
  dataList: DataModel[] = [
    {
      check: false,
      code: "01",
      nameTypeTh: "การบริหารแบบแผนปัญญา",
      nameTypeEn: "Hoshin Kanri Management",
      name: "Hoshin",
      weight: "1.2"
    },
    {
      check: false,
      code: "02",
      nameTypeTh: "ตัวชี้วัดความสำเร็จ",
      nameTypeEn: "Key Performance Indicator",
      name: "KPI",
      weight: "1.2"
    },
    {
      check: false,
      code: "03",
      nameTypeTh: "การบริหารทีมงานข้ามสายงาน",
      nameTypeEn: "Cross Functional Management",
      name: "Cross Functional",
      weight: "1.2"
    },
    {
      check: false,
      code: "04",
      nameTypeTh: "กิจกรรมพิเศษ",
      nameTypeEn: "Special Activities",
      name: "Special Activities",
      weight: "1.2"
    }
  ]
  dataSelect: DataModel = {
    check: false,
    code: "",
    nameTypeTh: "",
    nameTypeEn: "",
    name: "",
    weight: ""
  }
  modalStatus: "add" | "edit" = "add"
  constructor(private cdr: ChangeDetectorRef) {
  }

  dataListSelect(data?: DataModel) {
    this.dataSelect = data || {
      check: false,
      code: "",
      nameTypeTh: "",
      nameTypeEn: "",
      name: "",
      weight: ""
    }
    this.cdr.detectChanges()
  }

  dataListFilter() {
    return this.dataList.filter(x => {
      const match = x.code.includes(this.search) || x.nameTypeTh.includes(this.search) || x.nameTypeEn.includes(this.search);
      if (!match) x.check = false;
      return match;
    });
  }

  dataListCheck() {
    const dataCheck = this.dataListFilter();
    this.isDataListChecked = dataCheck.some(x => x.check);
    this.isDataListCheckedAll = dataCheck.length ? dataCheck.every(x => x.check) : false;
    this.numDataListChecked = dataCheck.filter(x => x.check).length;
  }

  dataListCheckAll() {
    const selectAll = this.isDataListCheckedAll;
    this.dataList.forEach(x => x.check = selectAll);
    this.dataListCheck();
  }

  searchChange() {
    this.currentPage = 1;
    const filteredData = this.dataListFilter();
    this.page = Array.from({ length: Math.ceil(filteredData.length / 10) }, (_, i) => i + 1);
    this.dataListCheck();
  }

}

