import { Injectable } from '@angular/core';
import {
  HttpRequest,
  HttpHandler,
  HttpEvent,
  HttpInterceptor,
  HttpErrorResponse
} from '@angular/common/http';
import { Observable, of, throwError } from 'rxjs';
import { catchError, tap } from 'rxjs/operators';

@Injectable()
export class HttpRequestInterceptor {
  responseCache = new Map()
  constructor() { }

  intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
    if (req.url.startsWith("./") || !sessionStorage.getItem("accessToken")) {
      return next.handle(req);
    } else {
      const authHeader = 'Bearer ' + sessionStorage.getItem("accessToken")
      const overideReq = {
        headers: req.headers.set('Authorization', authHeader),
        url: req.url,
      };
      const authReq = req.clone(overideReq);
      return next.handle(authReq).pipe(tap(response => {
        this.responseCache.set(req.urlWithParams, response)
      }));
    }

  }



}




